Bug 1081210 - Don't install vc4 Mesa 3D driver by default
Don't install vc4 Mesa 3D driver by default
Status: RESOLVED FIXED
Classification: openSUSE
Product: openSUSE Tumbleweed
Classification: openSUSE
Component: X.Org
Current
aarch64 openSUSE Factory
: P3 - Medium : Normal (vote)
: ---
Assigned To: Max Staudt
E-mail List
:
Depends on: 1081449
Blocks: 1081168
  Show dependency treegraph
 
Reported: 2018-02-15 16:20 UTC by Max Staudt
Modified: 2018-06-21 21:36 UTC (History)
10 users (show)

See Also:
Found By: Development
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Max Staudt 2018-02-15 16:20:56 UTC
Up to now, the 3D driver for the VC4 GPU on the Raspberry Pi is installed by default. This causes the 'modesetting' DDX to activate the GLAMOR acceleration for 2D, which in turn causes the graphics subsystem to run out of memory, and possibly lock up the machine.

Since this is due to hardware limitations in GPU memory management (no virtual memory on the GPU side), let's disable this driver by default by splitting it off into its own package: Mesa-dri-vc4.

This package can still be interesting for someone driving the 3D chip directly, such as in Wayland style applications. But in the standard case of Xorg based desktops, not installing this 3D driver obviates the need for manually disabling GLAMOR on Raspberry Pis.
Comment 3 Max Staudt 2018-02-16 17:07:54 UTC
Submitted to X11:XOrg, and sndirsch has reviewed and forwarded it (thanks!):

https://build.opensuse.org/request/show/577308

Let's close this as RESOLVED FIXED.